XmLFontListGetDimensions(3X)

NAME
XmLFontListGetDimensions - calculates overall width and height of characters in a font list

SYNTAX
void XmLFontListGetDimensions(fontList, width, height, useAverageWidth)
XmFontList fontList;
short *width;
short *height;
Boolean useAverageWidth;

ARGUMENTS

fontList
    font list

width
    maximum or average character width in fontlist

height
    maximum character height in fontlist

useAverageWidth
    if True, return average glyph width instead of maximum glyph width

DESCRIPTION
Calculates the overall width and height of the characters in a given fontList. The height returned is the height of the tallest glyph. If useAverageWidth is False, the width returned is the width of the widest glyph. If True, the width returned is the average width of all of the glyphs.